<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<% html_title(t(:label_my_account), t(:label_profile)) -%>

<% breadcrumb_paths(t(:label_my_account), t(:label_profile)) %>
<%= toolbar title: t(:label_profile) %>
<%= error_messages_for 'user' %>

<%= password_confirmation_form_for @user,
                                   as: :user,
                                   url: { action: 'update_account' },
                                   builder: ::TabularFormBuilder,
                                   lang: current_language,
                                   html: { id: 'my_account_form', class: '-wide-labels' } do |f| %>
  <section class="form--section">
    <div class="form--field">
      <label class="form--label" for="username">
        <%= User.human_attribute_name(:login) %>
      </label>
      <div class="form--field-container">
        <%= @user.login %>
      </div>
    </div>
    <% login_via_provider = !!@user.identity_url %>
    <% login_via_ldap = !!@user.ldap_auth_source_id %>
    <div class="form--field -required">
      <%= f.text_field :firstname, required: true, container_class: '-middle', disabled: login_via_provider || login_via_ldap %>
      <% if login_via_provider %>
        <span class="form--field-instructions"><%= t('user.text_change_disabled_for_provider_login') %></span>
      <% end %>
      <% if login_via_ldap %>
        <span class="form--field-instructions"><%= t('user.text_change_disabled_for_ldap_login') %></span>
      <% end %>
    </div>
    <div class="form--field -required">
      <%= f.text_field :lastname, required: true, container_class: '-middle', disabled: login_via_provider || login_via_ldap %>
      <% if login_via_provider %>
        <span class="form--field-instructions"><%= t('user.text_change_disabled_for_provider_login') %></span>
      <% end %>
      <% if login_via_ldap %>
        <span class="form--field-instructions"><%= t('user.text_change_disabled_for_ldap_login') %></span>
      <% end %>
    </div>
    <div class="form--field -required">
      <%= f.text_field :mail, required: true, container_class: '-middle', disabled: login_via_ldap %>
      <% if login_via_ldap %>
        <span class="form--field-instructions"><%= t('user.text_change_disabled_for_ldap_login') %></span>
      <% end %>
    </div>

    <%= fields_for :pref, @user.pref, builder: TabularFormBuilder, lang: current_language do |pref_fields| %>
      <div class="form--field"><%= pref_fields.check_box :hide_mail %></div>
    <% end %>

    <%= call_hook(:view_my_account, user: @user, form: f) %>

    <%= render partial: "customizable/form",
               locals: { form: f, all_fields: true, only_required: false, input_size: '-middle' } %>
  </section>

  <%= styled_button_tag t(:button_save), class: '-primary -with-icon icon-checkmark' %>
<% end %>
